use std::env;

use rocket::response::Redirect;

#[get("/login")]
pub fn login() -> Redirect {
    Redirect::to(format!(
        // Switch from response_type=code to response_type=token from URL generator
        "https://discord.com/api/oauth2/authorize?client_id={}&redirect_uri={}success&response_type=token&scope=identify",
        env::var("CLIENT_ID").unwrap(),
        env::var("DOMAIN").unwrap(),
    ))
}
